To check Front+Back please follow steps below:
1. Need to run 'npm install' for server.
2. Need to start server with 'npm run serve'
3. Need to open Client app (I used VSCode to run LiveServer for client). Entry file to run a LiveServer is index.html

UI is for some of the methods not all (point is same in every, basically)
Of course it would be great to add much more checks and valitations, but there are some, not all needed.